## gate.gui
Class DocumentEditor.CorefNodeRenderer1

    java.lang.Object
      |
      +--gate.gui.DocumentEditor.CorefNodeRenderer1

All Implemented Interfaces:
  TreeCellRenderer

Enclosing class:
  DocumentEditor

class DocumentEditor.CorefNodeRenderer1
extends Object
implements TreeCellRenderer

A tree node renderer used byt the coref tree

Field Summary
`(package private) Component` `bottomSpacer`
`(package private) JLabel` `label`
`(package private) Border` `normalBorder`
`(package private) JPanel` `panel`
`(package private) Border` `selectedBorder`
`(package private) JToggleButton` `toggleButton`
`(package private) Component` `topSpacer`

Constructor Summary
`(package private)` `DocumentEditor.CorefNodeRenderer1()`

Method Summary
`Component` `getTreeCellRendererComponent(JTree tree, Object value, boolean selected, boolean expanded, boolean leaf, int row, boolean hasFocus)`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### label

    JLabel label

### toggleButton

    JToggleButton toggleButton

### panel

    JPanel panel

### selectedBorder

    Border selectedBorder

### normalBorder

    Border normalBorder

### topSpacer

    Component topSpacer

### bottomSpacer

    Component bottomSpacer

Constructor Detail

### DocumentEditor.CorefNodeRenderer1

    DocumentEditor.CorefNodeRenderer1()

Method Detail

### getTreeCellRendererComponent

    public Component getTreeCellRendererComponent(JTree tree,
                                                  Object value,
                                                  boolean selected,
                                                  boolean expanded,
                                                  boolean leaf,
                                                  int row,
                                                  boolean hasFocus)

  Specified by:
    `getTreeCellRendererComponent` in interface `TreeCellRenderer`